Bug 809141 - Sample extension datasource uses local-tx-datasource type
Summary: Sample extension datasource uses local-tx-datasource type
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal, Portal Packaging
Version: 5.2.1.ER03
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
: 5.2.2.ER01
Assignee: Nobody
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-02 15:21 UTC by Miroslav Cupák
Modified: 2020-04-27 01:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that the sample datasource file for portal extensions <filename>jboss-as/docs/examples/portal/gatein-sample-portal-ds.xml</filename> specifies the incorrect datasource type for IDM. It should be no-tx-datasource for IDM and local-tx-datasource for JCR, instead of local-tx-datasource for both directive blocks. To work around the issue, define the datasource type manually, following the guidelines in this Release Note.
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Miroslav Cupák 2012-04-02 15:21:14 UTC
Description of problem:
Sample datasource file for portal extensions (jboss-as/docs/examples/portal/gatein-sample-portal-ds.xml) specifies incorrect datasource type for IDM. It should be no-tx-datasource for IDM and local-tx-datasource for JCR instead of local-tx-datasource for both of them to correspond with gatein-ds.xml.

Comment 2 Jared MORGAN 2012-04-16 01:13:05 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
It was discovered that the sample datasource file for portal extensions
<filename>jboss-as/docs/examples/portal/gatein-sample-portal-ds.xml</filename> specifies the incorrect datasource type for IDM. It should be no-tx-datasource for IDM and
local-tx-datasource for JCR, instead of local-tx-datasource for both directive blocks. To work around the issue, define the datasource type manually, following the guidelines in this Release Note.

Comment 3 Viliam Rockai 2012-08-27 15:47:42 UTC
Verified again at 5.2.2 CR01


Note You need to log in before you can comment on or make changes to this bug.